View Issue Details

IDProjectCategoryView StatusLast Update
0004618Slicer4Module Extension Wizardpublic2018-12-12 14:34
ReporterinortonAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.10.1 
Summary0004618: Extension Wizard should give more informative error message about git requirement
Description

Extension Wizard apparently requires git from Xcode developer tools, and fails to load with the backtrace below (Additional Information). The module does not load at all, so the only explanation is in the Error Log, which is confusing to an inexperienced developer looking for the wizard.

We first tried to install git for mac from git-scm.org, but that failed.

Steps To Reproduce

Run Slicer on a computer without Xcode command line tools installed

Additional Information
    External Email - Use Caution        

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/Applications/Slicer.app/Contents/bin/../lib/Slicer-4.9/qt-scripted-modules/ExtensionWizard.py", line 7, in <module>
import SlicerWizard.ExtensionDescription
File "/Applications/Slicer.app/Contents/bin/Python/SlicerWizard/init.py", line 42, in <module>
from .ExtensionDescription import ExtensionDescription
File "/Applications/Slicer.app/Contents/bin/Python/SlicerWizard/ExtensionDescription.py", line 6, in <module>
from .ExtensionProject import ExtensionProject
File "/Applications/Slicer.app/Contents/bin/Python/SlicerWizard/ExtensionProject.py", line 6, in <module>
from .Utilities import detectEncoding
File "/Applications/Slicer.app/Contents/bin/Python/SlicerWizard/Utilities.py", line 10, in <module>
import git
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/init.py", line 82, in <module>
refresh()
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/init.py", line 73, in refresh
if not Git.refresh(path=path):
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/cmd.py", line 230, in refresh
cls().version()
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/cmd.py", line 551, in <lambda>
return lambda *args, *kwargs: self._call_process(name, args, kwargs)
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/cmd.py", line 1010, in _call_process
return self.execute(call,
exec_kwargs)
File "/Applications/Slicer.app/Contents/lib/Python/lib/python2.7/site-packages/git/cmd.py", line 821, in execute
raise GitCommandError(command, status, stderr_value, stdout_value)
git.exc.GitCommandError: Cmd('git') failed due to: exit code(1)
cmdline: git version
stderr: 'xcode-select: note: no developer tools were found at '/Applications/Xcode.app', requesting install. Choose an option in the dialog to download the command line developer tools.'

TagsNo tags attached.

Activities

lassoan

lassoan

2018-12-12 14:34

developer   ~0016220

Fixed in r27535

Issue History

Date Modified Username Field Change
2018-09-20 10:20 inorton New Issue
2018-09-20 10:20 inorton Status new => assigned
2018-09-20 10:20 inorton Assigned To => matthew-woehlke
2018-12-12 14:34 lassoan Assigned To matthew-woehlke => lassoan
2018-12-12 14:34 lassoan Status assigned => resolved
2018-12-12 14:34 lassoan Resolution open => fixed
2018-12-12 14:34 lassoan Fixed in Version => Slicer 4.10.1
2018-12-12 14:34 lassoan Note Added: 0016220